Bug 1635839 - [abrt] vinagre: init_freerdp(): vinagre killed by SIGSEGV
Summary: [abrt] vinagre: init_freerdp(): vinagre killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vinagre
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felipe Borges
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d3cd0879ff5719d60c9dac0e48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-03 18:43 UTC by Andrew Aylett
Modified: 2019-04-05 01:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-02 01:47:04 UTC


Attachments (Terms of Use)
File: backtrace (49.75 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: cgroup (341 bytes, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: core_backtrace (21.86 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: cpuinfo (1.30 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: dso_list (15.21 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: environ (4.34 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: exploitable (82 bytes, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: limits (1.29 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: maps (73.62 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: mountinfo (5.60 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: open_fds (88.86 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details
File: var_log_messages (5.57 KB, text/plain)
2018-10-03 18:43 UTC, Andrew Aylett
no flags Details

Description Andrew Aylett 2018-10-03 18:43:14 UTC
Description of problem:
Tried to connect to a remote host using RDP

Version-Release number of selected component:
vinagre-3.22.0-9.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        vinagre
crash_function: init_freerdp
executable:     /usr/bin/vinagre
journald_cursor: s=7081dd65f3224431b0ccda8f2d453b47;i=4d2cb;b=b985f0d6c8cb40aca3d28ee610302d87;m=5966bb8b84;t=57750652534c1;x=6f5afdb0b86dd2d
kernel:         4.18.7-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 init_freerdp at plugins/rdp/vinagre-rdp-tab.c:1071
 #1 open_freerdp at plugins/rdp/vinagre-rdp-tab.c:1222
 #2 vinagre_rdp_tab_constructed at plugins/rdp/vinagre-rdp-tab.c:251
 #3 g_object_new_internal at gobject.c:1839
 #4 g_object_new_valist at gobject.c:2122
 #6 vinagre_rdp_tab_new at plugins/rdp/vinagre-rdp-tab.c:1265
 #7 vinagre_cmd_remote_connect at vinagre/vinagre-commands.c:87
 #12 _gtk_action_emit_activate at deprecated/gtkaction.c:909
 #13 gtk_action_activate at deprecated/gtkaction.c:942
 #14 button_clicked at gtktoolbutton.c:952

Comment 1 Andrew Aylett 2018-10-03 18:43:21 UTC
Created attachment 1490218 [details]
File: backtrace

Comment 2 Andrew Aylett 2018-10-03 18:43:22 UTC
Created attachment 1490219 [details]
File: cgroup

Comment 3 Andrew Aylett 2018-10-03 18:43:24 UTC
Created attachment 1490220 [details]
File: core_backtrace

Comment 4 Andrew Aylett 2018-10-03 18:43:26 UTC
Created attachment 1490221 [details]
File: cpuinfo

Comment 5 Andrew Aylett 2018-10-03 18:43:27 UTC
Created attachment 1490222 [details]
File: dso_list

Comment 6 Andrew Aylett 2018-10-03 18:43:29 UTC
Created attachment 1490223 [details]
File: environ

Comment 7 Andrew Aylett 2018-10-03 18:43:30 UTC
Created attachment 1490224 [details]
File: exploitable

Comment 8 Andrew Aylett 2018-10-03 18:43:31 UTC
Created attachment 1490225 [details]
File: limits

Comment 9 Andrew Aylett 2018-10-03 18:43:33 UTC
Created attachment 1490226 [details]
File: maps

Comment 10 Andrew Aylett 2018-10-03 18:43:35 UTC
Created attachment 1490227 [details]
File: mountinfo

Comment 11 Andrew Aylett 2018-10-03 18:43:37 UTC
Created attachment 1490228 [details]
File: open_fds

Comment 12 Andrew Aylett 2018-10-03 18:43:38 UTC
Created attachment 1490229 [details]
File: proc_pid_status

Comment 13 Andrew Aylett 2018-10-03 18:43:40 UTC
Created attachment 1490230 [details]
File: var_log_messages

Comment 14 Fedora Update System 2019-02-28 19:42:48 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29 remmina-1.3.3-1.fc29 gnome-boxes-3.30.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 15 Fedora Update System 2019-02-28 19:43:12 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28 remmina-1.3.3-1.fc28 gnome-boxes-3.28.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 16 Fedora Update System 2019-03-01 03:36:03 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 17 Fedora Update System 2019-03-01 22:23:21 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 18 Fedora Update System 2019-03-02 01:47:04 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-03-06 06:21:09 UTC
freerdp-2.0.0-49.20190304git435872b.fc28 gnome-boxes-3.28.5-2.fc28 pidgin-sipe-1.24.0-3.fc28 remmina-1.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 20 Fedora Update System 2019-03-06 15:12:45 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 21 Fedora Update System 2019-04-05 01:54:41 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.